
package net.mcreator.cabinfever.client.screens;

import org.checkerframework.checker.units.qual.h;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.eventbus.api.EventPriority;
import net.minecraftforge.client.event.RenderGuiEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.Level;
import net.minecraft.world.entity.player.Player;
import net.minecraft.network.chat.Component;
import net.minecraft.client.Minecraft;

import net.mcreator.cabinfever.procedures.CabinFeverHudShouldDisplayProcedure;
import net.mcreator.cabinfever.procedures.CabinFeverHudMeterTextProcedure;

@Mod.EventBusSubscriber({Dist.CLIENT})
public class CabinFeverHudOverlay {
	@SubscribeEvent(priority = EventPriority.NORMAL)
	public static void eventHandler(RenderGuiEvent.Pre event) {
		int w = event.getWindow().getGuiScaledWidth();
		int h = event.getWindow().getGuiScaledHeight();
		Level world = null;
		double x = 0;
		double y = 0;
		double z = 0;
		Player entity = Minecraft.getInstance().player;
		if (entity != null) {
			world = entity.level;
			x = entity.getX();
			y = entity.getY();
			z = entity.getZ();
		}
		if (CabinFeverHudShouldDisplayProcedure.execute(world, entity)) {
			Minecraft.getInstance().font.draw(event.getPoseStack(), Component.translatable("gui.cabin_fever.cabin_fever_hud.label_cabin_fever_risk"), 0, 1, -1);
			Minecraft.getInstance().font.draw(event.getPoseStack(),

					CabinFeverHudMeterTextProcedure.execute(entity), 0, 12, -1);
		}
	}
}
